Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Interface ControlListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  AnnotationBarHoverManager.Closer, ControlAdapter

public interface ControlListener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with the events that are generated by moving and resizing controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addControlListener` method and removed using the `removeControlListener` method. When a control is moved or resized, the appropriate method will be invoked.

See Also:
  `ControlAdapter`, `ControlEvent`

Method Summary
`void` | `controlMoved(ControlEvent e)` Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).
`void` | `controlResized(ControlEvent e)` Sent when the size (width, height) of a control changes.

Method Detail

### controlMoved

    public void controlMoved(ControlEvent e)

  Sent when the location (x, y) of a control changes relative to its parent (or relative to the display, for `Shell`s).

  Parameters:
    `e` - an event containing information about the move

### controlResized

    public void controlResized(ControlEvent e)

  Sent when the size (width, height) of a control changes.

  Parameters:
    `e` - an event containing information about the resize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.